1 din 5
1
Xcode 4
  [ Ignoră ]
RankRank
Jr. Member
Din: 
Macuser din: 24.08.10

Asa cum ați văzut apple a scos xcode 4. acesta vine cu LLVM și Clang, IB este acum băgat sub același acoperiș cu xcode, o completare a codului mai eficienta etc..
voi ce păreri aveți?

Profil
 
  [ Ignoră ]   [ # 1 ]
Avatar
RankRankRankRank
Moderator
Din: Cluj-Napoca
Macuser din: 26.01.06

Imi place mai mult, o problema totusi, nu mai face fata pe mb-ul 2006 al meu. il foloseam inca din beta cand nu rupea procesorul dar in schimb crapa intr-o veselie, acum sta in 100% cu penultimul release, pe cel public nu l-am incercat inca.
Code completionul este clar mult mai bun iar cu llvm aveam probleme cu proiecte vechi, trebuia sa aleg llvm gcc.

 Semnătură 

Mcintoshing…

Profil
 
  [ Ignoră ]   [ # 2 ]
Avatar
RankRankRankRank
Administrator
Din: The Colony, TX
Macuser din: 11.10.05

Bre - eu cred că o să iasă un pic de scandal - XCode conține cod GNU/GPL - nu prea au voie să-l dea pe bani.

 Semnătură 

Apple:5x macmini (G4, 2007, 2009, 2010, 2012)
UNIX:IBM 7011-250/AIX 5.1, HP Jornada 680/JLime, HP 9000 F20/HP-UX 11.11
PC:PentiumD/Debian, HP t5300/Debian
Misc:Spectrum 48k, 8x Raspberry Pi, 2x CHIP

Profil
 
  [ Ignoră ]   [ # 3 ]
RankRank
Jr. Member
Din: 
Macuser din: 24.08.10
psergiu - 10 Martie 2011 05:49 PM

Bre - eu cred că o să iasă un pic de scandal - XCode conține cod GNU/GPL - nu prea au voie să-l dea pe bani.

probabil te referi la LLVM care este sub licenta BSD, dar nu este foarte clar ce vs . daca este FreeBSD atunci au o mare problema cei de la apple.

Profil
 
  [ Ignoră ]   [ # 4 ]
Avatar
RankRankRankRank
Administrator
Din: The Colony, TX
Macuser din: 11.10.05

Sunt greșit - au voie să ceară bani dar trebuie să dea și codul sursă.

 Semnătură 

Apple:5x macmini (G4, 2007, 2009, 2010, 2012)
UNIX:IBM 7011-250/AIX 5.1, HP Jornada 680/JLime, HP 9000 F20/HP-UX 11.11
PC:PentiumD/Debian, HP t5300/Debian
Misc:Spectrum 48k, 8x Raspberry Pi, 2x CHIP

Profil
 
  [ Ignoră ]   [ # 5 ]
Avatar
RankRankRankRank
Administrator
Din: The Colony, TX
Macuser din: 11.10.05

Ca să îl parafrazăm pe Steve Balmer:

“Develoerps, develoerps, develoerps ...” grin

Imagini atașate
Screen shot 2011-03-10 at 01.13.31.png
 Semnătură 

Apple:5x macmini (G4, 2007, 2009, 2010, 2012)
UNIX:IBM 7011-250/AIX 5.1, HP Jornada 680/JLime, HP 9000 F20/HP-UX 11.11
PC:PentiumD/Debian, HP t5300/Debian
Misc:Spectrum 48k, 8x Raspberry Pi, 2x CHIP

Profil
 
  [ Ignoră ]   [ # 6 ]
Avatar
RankRankRankRank
Sr. Member
Din: Bucuresti
Macuser din: 22.09.06

Si mie imi place mult cum arata smile

 Semnătură 

A man should look for what is, and not for what he thinks should be.—Albert Einstein

Profil
 
  [ Ignoră ]   [ # 7 ]
RankRank
Jr. Member
Din: 
Macuser din: 24.08.10

sunt apple au voie sa inventeze noi termeni :D

Profil
 
  [ Ignoră ]   [ # 8 ]
Avatar
RankRankRankRank
Sr. Member
Din: Bucuresti
Macuser din: 22.09.06

Tocmai am observat o chestie neplacuta :(
Incerc sa accesez sectiunea documentation din organizer si UKIT Library lipseste,am doar MAC OS X 10.6 Library si Xcode 4.0 Developer Library dar nu si UIKit.
La voi cum e?
In Xcode 4 transition guide imi arata ca trebuia sa existe si iPhone OS 4.0 Library…

 Semnătură 

A man should look for what is, and not for what he thinks should be.—Albert Einstein

Profil
 
  [ Ignoră ]   [ # 9 ]
Avatar
RankRankRankRank
Sr. Member
Din: Bucuresti
Macuser din: 22.09.06

In caz ca are si altcineva aceasta nelamurire,trebuie downloadata documentation din Preferences/Documentation.

 Semnătură 

A man should look for what is, and not for what he thinks should be.—Albert Einstein

Profil
 
  [ Ignoră ]   [ # 10 ]
Avatar
RankRank
Jr. Member
Din: București
Macuser din: 14.12.09

La mine se întâmplă ceva foarte ciudat, anume nu pot să îl cumpăr.

După click pe billing info nu se mai întâmplă nimic. Nici măcar un mesaj de eroare, ceva, să îmi zică ce ar putea să fie greșit, pur și simplu rămâne în fereastra cu XCode.

O să mai încerc diseară, o fi ceva temporar. Totuși a mai pățit cineva ceva asemănător cu vreo aplicație?

Am 10.6.6 cu toate update-urile la zi.

 Semnătură 

iMac “Core 2 Duo” 3.06 21.5-Inch (Late 2009)
iPhone 4S 16G

Profil
 
  [ Ignoră ]   [ # 11 ]
Avatar
RankRankRank
Member
Din: Bucuresti
Macuser din: 12.04.08

La mine se blocheaza pe la ~99%. I-am dat reboot, am repornit reinstalarea de mai multe ori, ba chiar l-am lasat peste noapte si tot acolo ramane blocat…
Vad ca mai sunt si altii cu aceeasi problema: http://discussions.info.apple.com/thread.jspa?threadID=2777384&start=0&tstart=0

Am rulat pkg-ul din interior si pare sa se instaleze, da’ nu prea ma multumeste situatia.

Cum e cu app store-ul de osx, trebuie sa platesti din nou la fiecare download sau din momentul in care ai cumparat ceva il poti descarca de oricete ori vrei in mod gratis? Vreau sa stiu daca trebuie sa pastrez installerul ala de 4.5GB…

 Semnătură 

fight apathy. or don’t.

Profil
 
  [ Ignoră ]   [ # 12 ]
Avatar
RankRankRankRank
Sr. Member
Din: Iasi
Macuser din: 18.10.06
psergiu - 10 Martie 2011 05:49 PM

Bre - eu cred că o să iasă un pic de scandal - XCode conține cod GNU/GPL - nu prea au voie să-l dea pe bani.

Acum e pe bani? Nu am macbook-ul la mine şi nu pot să vad nicio informaţie pe site-ul apple legat de preţ. Cât costă?

 Semnătură 

Profil
 
  [ Ignoră ]   [ # 13 ]
Avatar
RankRankRank
Member
Din: Bucuresti
Macuser din: 12.04.08

5€

 Semnătură 

fight apathy. or don’t.

Profil
 
  [ Ignoră ]   [ # 14 ]
Avatar
RankRankRankRank
Sr. Member
Din: Iasi
Macuser din: 18.10.06

Aha. Ieftin. Merci de informare.

 Semnătură 

Profil
 
  [ Ignoră ]   [ # 15 ]
Avatar
RankRankRankRank
Administrator
Din: The Colony, TX
Macuser din: 11.10.05

XCode 3.x este încă disponibil gratuit. Doar 4 e pe bani - dar are multe chestii în plus (exemplu: un compilator nou care este integrat cu editorul și “compilează” pe măsură ce scrii codul - astfel îți semnalează în timp ce scrii toate erorile de sintaxă sau de parametrii a funcțiilor)

 Semnătură 

Apple:5x macmini (G4, 2007, 2009, 2010, 2012)
UNIX:IBM 7011-250/AIX 5.1, HP Jornada 680/JLime, HP 9000 F20/HP-UX 11.11
PC:PentiumD/Debian, HP t5300/Debian
Misc:Spectrum 48k, 8x Raspberry Pi, 2x CHIP

Profil
 
   
1 din 5
1